Debian Bug report logs - #572455
unclean build if using non-deb version locally

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Tzafrir Cohen <tzafrir.cohen@xorcom.com>

Date: Thu, 4 Mar 2010 12:03:01 UTC

Severity: minor

Fixed in version live-build/2.0~a28-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572455; Package live-helper. (Thu, 04 Mar 2010 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 04 Mar 2010 12:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: submit@bugs.debian.org
Subject: live-helper: start-stop-daemon replaced with dummy after binary clean
Date: Thu, 4 Mar 2010 13:59:39 +0200
Package: live-helper
Version: 2.0~a8-1
Severity: normal

After the following sequence I get a working image, however
/sbin/start-stop-daemon is replaced with a dummy 'exit 0' script.
The original one is available as /sbin/start-stop-daemon.orig

To reproduce:

1. Checkout live-helper into the subdirectory live-helper
2. Run

  ./live-helper/helpers/local config
  ./live-helper/helpers/local clean --all
  ./live-helper/helpers/local build

(If you look at the image generated at this stage, all's well)

  ./live-helper/helpers/local clean --binary
  ./live-helper/helpers/local binary

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (386)

Kernel: Linux 2.6.26-2-vserver-686 (SMP w/1 CPU core)
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572455; Package live-helper. (Thu, 04 Mar 2010 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 04 Mar 2010 12:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 572455@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Cc: 572455@bugs.debian.org
Subject: Re: Bug#572455: live-helper: start-stop-daemon replaced with dummy after binary clean
Date: Thu, 04 Mar 2010 13:26:31 +0100
retitle 572455 unclean build if using non-deb version locally
severity 572455 minor
thanks

On 03/04/2010 12:59 PM, Tzafrir Cohen wrote:
> To reproduce:

again, as we debugged one day on irc already, the bug is elsewhere: it's 
not reproducible if you don't use a local, but a regulary installed 
live-helper.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'unclean build if using non-deb version locally' from 'live-helper: start-stop-daemon replaced with dummy after binary clean' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 04 Mar 2010 12:30:07 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 04 Mar 2010 12:30:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-helper' to 'live-build'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a8-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#572455; Package live-build. (Sun, 12 Sep 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 12 Sep 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #23 received at 572455@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 572455-submitter@bugs.debian.org
Cc: 572455@bugs.debian.org
Subject: Re: unclean build if using non-deb version locally
Date: Sun, 12 Sep 2010 21:03:27 +0200
tag 572455 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 19:06:05 GMT) Full text and rfc822 format available.

Message sent on to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Bug#572455. (Sun, 12 Sep 2010 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 13 Sep 2010 19:51:11 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Bug acknowledged by developer. (Mon, 13 Sep 2010 19:51:11 GMT) Full text and rfc822 format available.

Message #33 received at 572455-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 572455-close@bugs.debian.org
Subject: Bug#572455: fixed in live-build 2.0~a28-1
Date: Mon, 13 Sep 2010 19:47:11 +0000
Source: live-build
Source-Version: 2.0~a28-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0~a28-1_all.deb
  to main/l/live-build/live-build-cgi_2.0~a28-1_all.deb
live-build_2.0~a28-1.diff.gz
  to main/l/live-build/live-build_2.0~a28-1.diff.gz
live-build_2.0~a28-1.dsc
  to main/l/live-build/live-build_2.0~a28-1.dsc
live-build_2.0~a28-1_all.deb
  to main/l/live-build/live-build_2.0~a28-1_all.deb
live-build_2.0~a28.orig.tar.gz
  to main/l/live-build/live-build_2.0~a28.orig.tar.gz
live-helper_2.0~a28-1_all.deb
  to main/l/live-build/live-helper_2.0~a28-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572455@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Sep 2010 21:28:16 +0200
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0~a28-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 572455 584884
Changes: 
 live-build (2.0~a28-1) unstable; urgency=low
 .
   [ Cody A.W. Somerville ]
   * Addding maverick to list of releases.
 .
   [ Daniel Baumann ]
   * Removing EOL Ubuntu releases.
   * Adding preconfig project to repositories.
   * Updating path in local helper for live-build.
   * Prefixing helper scripts to make 'out of source' usage usable
     (Closes: #572455).
   * Avoid running helpers twice when using auto (Closes: #584884).
Checksums-Sha1: 
 16ff81ded1f9d4336e3124dccaedea773a8eb640 1275 live-build_2.0~a28-1.dsc
 87647c1a47623c95858b830e002832fe5fb48ac2 2135721 live-build_2.0~a28.orig.tar.gz
 9a09a0c7f323a2b1f3cf4bdeba57aa78190ce18a 42078 live-build_2.0~a28-1.diff.gz
 52600f1bbc3f8e9f4eaba90f94836fef9ac23df8 1192428 live-build_2.0~a28-1_all.deb
 d3872d0d4198ba00a77a671d764eda72e254ccaa 59308 live-build-cgi_2.0~a28-1_all.deb
 331f50d32790f06fedb49d64ba2e566562d2c740 54590 live-helper_2.0~a28-1_all.deb
Checksums-Sha256: 
 538b9bba61ed74426f65ade506b79924a99e6ce17579e245db75852798c093da 1275 live-build_2.0~a28-1.dsc
 b2a79821c442091e9dc4c29b6ffafb162709bacae347d513a19afe2c5bbf31ed 2135721 live-build_2.0~a28.orig.tar.gz
 d8357da8d201c90e19af03258d348145a5472a8737a918cfe1e6517e3681c5e0 42078 live-build_2.0~a28-1.diff.gz
 7378da6bb9e0ffe3af1678bba35f99ff74a05a694229f4e0e24a3d72ad6602f2 1192428 live-build_2.0~a28-1_all.deb
 533d065a6e0227edd6c8c11053b0c1d73c6f738cf6bdaa865de4d316bda6d947 59308 live-build-cgi_2.0~a28-1_all.deb
 ea0e9b25574ef118b16e088707da3d94d75db2d543ed52262e7cd396c80ec09e 54590 live-helper_2.0~a28-1_all.deb
Files: 
 82085f4e17852a67a0d83ab5bab36286 1275 misc optional live-build_2.0~a28-1.dsc
 d59400ca6c05201076aeeadaedd05974 2135721 misc optional live-build_2.0~a28.orig.tar.gz
 9def49a2797846c19de2934a3c6efc5f 42078 misc optional live-build_2.0~a28-1.diff.gz
 64028bf82537935e94c46cf720bd8d6c 1192428 misc optional live-build_2.0~a28-1_all.deb
 ef0543fee81bdea19c6917349bc3cc93 59308 misc optional live-build-cgi_2.0~a28-1_all.deb
 84570bce80f79bae678a85007b36f0a1 54590 misc optional live-helper_2.0~a28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyOfRYACgkQ+C5cwEsrK55HfQCg5HwVDJq4KmA77AC+VgucMS9H
epwAoJC5QpyMVfOI2A47KyeA4oPIz/iv
=UA2I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Oct 2010 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:34:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.